

h3{
    text-align: center;

}
td{
    border-collapse: collapse;
    width: 40px;
    height: 40px;
    margin: 0;
    cursor: pointer;
    opacity: 1;
    padding: 0;
}
table{
    background: darkgray;
    border: 40px solid darkgray;
    border-collapse: collapse;
    margin: 0 auto;
    z-index: 3;
    position: relative;

}
table:after{
    font-weight: lighter;
    content: "8 7 6 5 4 3 2 1";
    position: absolute;
    color: black;
    font-size: 25px;
    top: 10%;
    left: 93%;
    width: 25px;
    font-family: Times New Roman, sans-serif;
    display: block;
    line-height: 1.6;
}

tr:before{
    content: "1 2 3 4 5 6 7 8";
    position: absolute;
    color: black;
    font-size: 25px;
    top: 10%;
    left: 1%;
    width: 25px;
    font-family: Times New Roman, sans-serif;
    display: block;
    line-height: 1.6;
    transform: scale(-1, 1) rotateX(180deg);
    font-weight: lighter;

}
table:before{
    content:"A B C D E F G H";
    position: absolute;
    color: black;
    font-size: 25px;
    white-space: pre;
    left: 13%;
    bottom: 1.5%;
    width: 40px;
    letter-spacing: 9px;
    display: block;
    font-family: Times New Roman, sans-serif;
}
tr::after{
    content: "H G F E D C B A";
    position: absolute;
    top: 2%;
    left: 78%;
    color: black;
    white-space: pre;
    transform: scale(-1, 1) rotateX(180deg);
    font-size: 25px;
    width: 40px;
    letter-spacing: 9px;
    display: block;
    font-family: Times New Roman, sans-serif;
}


.chess {
    display:table;


}

.chess tr:nth-child(2n+1) td:nth-child(2n+2),
.chess tr:nth-child(2n+2) td:nth-child(2n+1){
    background:orange;
    border:0;
    transition-property:border-radius, background-color, opacity, filter;
    transition-duration: 3s, 3s, 3s, 3s;
    transition-timing-function: cubic-bezier(0,3,.17,-2.65);
    border-radius: 0;
    margin: 0;
}
.chess tr:nth-child(odd) td:nth-child(odd),
.chess tr:nth-child(even) td:nth-child(even){
    background:black;
    border:0;
    transition-property: background-color, border-radius, opacity;
    transition-duration: 3s, 3s, 3s;
    transition-timing-function: cubic-bezier(0,3,.17,-2.65);
    border-radius: 0;
    margin: 0;


}
.chess tr:nth-child(odd) td:nth-child(odd):hover,
.chess tr:nth-child(even) td:nth-child(even):hover,
.chess tr:nth-child(2n+1) td:nth-child(2n+2):hover ,
.chess tr:nth-child(2n+2) td:nth-child(2n+1):hover {
    opacity: 0.5;
    background-color: gray;
    transition-delay: .5s;

}

.chess tr:nth-child(2n+1) td:nth-child(2n+2):active,
.chess tr:nth-child(2n+2) td:nth-child(2n+1):active,
.chess tr:nth-child(odd) td:nth-child(odd):active,
.chess tr:nth-child(even) td:nth-child(even):active{
    opacity:0.5;
    border-radius: 50%;
    background-color: ghostwhite;
    -webkit-filter: grayscale(100%);
    filter: grayscale(100%);
    transition-delay: 0s;
}
